<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0 Frameset//EN""http://www.w3.org/TR/REC-html40/frameset.dtd">
<!--NewPage-->
<HTML>
<HEAD>
<!-- Generated by javadoc on Wed Feb 23 15:53:23 PST 2005 -->
<TITLE>
: Class  ConstraintDefinitionImpl
</TITLE>
<LINK REL ="stylesheet" TYPE="text/css" HREF="../../../../../../../../stylesheet.css" TITLE="Style">
</HEAD>
<BODY BGCOLOR="white">

<!-- ========== START OF NAVBAR ========== -->
<A NAME="navbar_top"><!-- --></A>
<TABLE BORDER="0" WIDTH="100%" CELLPADDING="1" CELLSPACING="0">
<TR>
<TD COLSPAN=2 BGCOLOR="#EEEEFF" CLASS="NavBarCell1">
<A NAME="navbar_top_firstrow"><!-- --></A>
<TABLE BORDER="0" CELLPADDING="0" CELLSPACING="3">
  <TR ALIGN="center" VALIGN="top">
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../../../../overview-summary.html"><FONT CLASS="NavBarFont1"><B>Overview</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="package-summary.html"><FONT CLASS="NavBarFont1"><B>Package</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#FFFFFF" CLASS="NavBarCell1Rev"> &nbsp;<FONT CLASS="NavBarFont1Rev"><B>Class</B></FONT>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="class-use/ConstraintDefinitionImpl.html"><FONT CLASS="NavBarFont1"><B>Use</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="package-tree.html"><FONT CLASS="NavBarFont1"><B>Tree</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../../../../deprecated-list.html"><FONT CLASS="NavBarFont1"><B>Deprecated</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../../../../index-files/index-1.html"><FONT CLASS="NavBarFont1"><B>Index</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../../../../help-doc.html"><FONT CLASS="NavBarFont1"><B>Help</B></FONT></A>&nbsp;</TD>
  </TR>
</TABLE>
</TD>
<TD ALIGN="right" VALIGN="top" ROWSPAN=3><EM>
</EM>
</TD>
</TR>

<TR>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
&nbsp;<A HREF="../../../../../../../../org/eclipse/wst/rdb/internal/models/dbdefinition/impl/ColumnDefinitionImpl.html"><B>PREV CLASS</B></A>&nbsp;
&nbsp;<A HREF="../../../../../../../../org/eclipse/wst/rdb/internal/models/dbdefinition/impl/DatabaseDefinitionFactoryImpl.html"><B>NEXT CLASS</B></A></FONT></TD>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
  <A HREF="../../../../../../../../index.html" TARGET="_top"><B>FRAMES</B></A>  &nbsp;
&nbsp;<A HREF="ConstraintDefinitionImpl.html" TARGET="_top"><B>NO FRAMES</B></A></FONT></TD>
</TR>
<TR>
<TD VALIGN="top" CLASS="NavBarCell3"><FONT SIZE="-2">
  SUMMARY: &nbsp;<A HREF="#inner_classes_inherited_from_class_org.eclipse.emf.common.notify.impl.BasicNotifierImpl">INNER</A>&nbsp;|&nbsp;<A HREF="#fields_inherited_from_class_org.eclipse.emf.ecore.impl.EObjectImpl">FIELD</A>&nbsp;|&nbsp;CONSTR&nbsp;|&nbsp;<A HREF="#method_summary">METHOD</A></FONT></TD>
<TD VALIGN="top" CLASS="NavBarCell3"><FONT SIZE="-2">
DETAIL: &nbsp;FIELD&nbsp;|&nbsp;CONSTR&nbsp;|&nbsp;<A HREF="#method_detail">METHOD</A></FONT></TD>
</TR>
</TABLE>
<!-- =========== END OF NAVBAR =========== -->

<HR>
<!-- ======== START OF CLASS DATA ======== -->
<H2>
<FONT SIZE="-1">
org.eclipse.wst.rdb.internal.models.dbdefinition.impl</FONT>
<BR>
Class  ConstraintDefinitionImpl</H2>
<PRE>
java.lang.Object
  |
  +--org.eclipse.emf.common.notify.impl.BasicNotifierImpl
        |
        +--org.eclipse.emf.ecore.impl.BasicEObjectImpl
              |
              +--org.eclipse.emf.ecore.impl.EObjectImpl
                    |
                    +--<B>org.eclipse.wst.rdb.internal.models.dbdefinition.impl.ConstraintDefinitionImpl</B>
</PRE>
<DL>
<DT><B>All Implemented Interfaces:</B> <DD><A HREF="../../../../../../../../org/eclipse/wst/rdb/internal/models/dbdefinition/ConstraintDefinition.html">ConstraintDefinition</A>, org.eclipse.emf.ecore.EObject, org.eclipse.emf.ecore.InternalEObject, org.eclipse.emf.common.notify.Notifier</DD>
</DL>
<HR>
<DL>
<DT>public class <B>ConstraintDefinitionImpl</B><DT>extends org.eclipse.emf.ecore.impl.EObjectImpl<DT>implements <A HREF="../../../../../../../../org/eclipse/wst/rdb/internal/models/dbdefinition/ConstraintDefinition.html">ConstraintDefinition</A></DL>

<P>
<!-- begin-user-doc -->
 An implementation of the model object '<em><b>Constraint Definition</b></em>'.
 <!-- end-user-doc -->
 <p>
 The following features are implemented:
 <ul>
   <li><A HREF="../../../../../../../../org/eclipse/wst/rdb/internal/models/dbdefinition/impl/ConstraintDefinitionImpl.html#isDeferrableConstraintSupported()"><CODE><em>Deferrable Constraint Supported</em></CODE></A></li>
   <li><A HREF="../../../../../../../../org/eclipse/wst/rdb/internal/models/dbdefinition/impl/ConstraintDefinitionImpl.html#isInformationalConstraintSupported()"><CODE><em>Informational Constraint Supported</em></CODE></A></li>
   <li><A HREF="../../../../../../../../org/eclipse/wst/rdb/internal/models/dbdefinition/impl/ConstraintDefinitionImpl.html#isClusteredPrimaryKeySupported()"><CODE><em>Clustered Primary Key Supported</em></CODE></A></li>
   <li><A HREF="../../../../../../../../org/eclipse/wst/rdb/internal/models/dbdefinition/impl/ConstraintDefinitionImpl.html#isClusteredUniqueConstraintSupported()"><CODE><em>Clustered Unique Constraint Supported</em></CODE></A></li>
   <li><A HREF="../../../../../../../../org/eclipse/wst/rdb/internal/models/dbdefinition/impl/ConstraintDefinitionImpl.html#isPrimaryKeyNullable()"><CODE><em>Primary Key Nullable</em></CODE></A></li>
   <li><A HREF="../../../../../../../../org/eclipse/wst/rdb/internal/models/dbdefinition/impl/ConstraintDefinitionImpl.html#isUniqueKeyNullable()"><CODE><em>Unique Key Nullable</em></CODE></A></li>
   <li><A HREF="../../../../../../../../org/eclipse/wst/rdb/internal/models/dbdefinition/impl/ConstraintDefinitionImpl.html#getMaximumCheckExpressionLength()"><CODE><em>Maximum Check Expression Length</em></CODE></A></li>
   <li><A HREF="../../../../../../../../org/eclipse/wst/rdb/internal/models/dbdefinition/impl/ConstraintDefinitionImpl.html#getParentUpdateDRIRuleType()"><CODE><em>Parent Update DRI Rule Type</em></CODE></A></li>
   <li><A HREF="../../../../../../../../org/eclipse/wst/rdb/internal/models/dbdefinition/impl/ConstraintDefinitionImpl.html#getParentDeleteDRIRuleType()"><CODE><em>Parent Delete DRI Rule Type</em></CODE></A></li>
   <li><A HREF="../../../../../../../../org/eclipse/wst/rdb/internal/models/dbdefinition/impl/ConstraintDefinitionImpl.html#getCheckOption()"><CODE><em>Check Option</em></CODE></A></li>
 </ul>
 </p>
<P>
<HR>

<P>
<!-- ======== INNER CLASS SUMMARY ======== -->

<A NAME="inner_classes_inherited_from_class_org.eclipse.emf.common.notify.impl.BasicNotifierImpl"><!-- --></A>
<TABLE BORDER="1" CELLPADDING="3" CELLSPACING="0" WIDTH="100%">
<TR BGCOLOR="#EEEEFF" CLASS="TableSubHeadingColor">
<TD><B>Inner classes inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl</B></TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE>org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EAdapterList</CODE></TD>
</TR>
</TABLE>
&nbsp;<A NAME="inner_classes_inherited_from_class_org.eclipse.emf.ecore.InternalEObject"><!-- --></A>
<TABLE BORDER="1" CELLPADDING="3" CELLSPACING="0" WIDTH="100%">
<TR BGCOLOR="#EEEEFF" CLASS="TableSubHeadingColor">
<TD><B>Inner classes inherited from class org.eclipse.emf.ecore.InternalEObject</B></TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE>org.eclipse.emf.ecore.InternalEObject.EStore</CODE></TD>
</TR>
</TABLE>
&nbsp;
<!-- =========== FIELD SUMMARY =========== -->

<A NAME="fields_inherited_from_class_org.eclipse.emf.ecore.impl.EObjectImpl"><!-- --></A>
<TABLE BORDER="1" CELLPADDING="3" CELLSPACING="0" WIDTH="100%">
<TR BGCOLOR="#EEEEFF" CLASS="TableSubHeadingColor">
<TD><B>Fields inherited from class org.eclipse.emf.ecore.impl.EObjectImpl</B></TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE>ELAST_EOBJECT_FLAG</CODE></TD>
</TR>
</TABLE>
&nbsp;<A NAME="fields_inherited_from_class_org.eclipse.emf.ecore.InternalEObject"><!-- --></A>
<TABLE BORDER="1" CELLPADDING="3" CELLSPACING="0" WIDTH="100%">
<TR BGCOLOR="#EEEEFF" CLASS="TableSubHeadingColor">
<TD><B>Fields inherited from interface org.eclipse.emf.ecore.InternalEObject</B></TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE>EOPPOSITE_FEATURE_BASE</CODE></TD>
</TR>
</TABLE>
&nbsp;
<!-- ======== CONSTRUCTOR SUMMARY ======== -->


<!-- ========== METHOD SUMMARY =========== -->

<A NAME="method_summary"><!-- --></A>
<TABLE BORDER="1" CELLPADDING="3" CELLSPACING="0" WIDTH="100%">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TD COLSPAN=2><FONT SIZE="+2">
<B>Method Summary</B></FONT></TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;java.lang.Object</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../../../../org/eclipse/wst/rdb/internal/models/dbdefinition/impl/ConstraintDefinitionImpl.html#eGet(org.eclipse.emf.ecore.EStructuralFeature, boolean)">eGet</A></B>(org.eclipse.emf.ecore.EStructuralFeature&nbsp;eFeature,
     boolean&nbsp;resolve)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<!-- begin-user-doc -->
 <!-- end-user-doc --></TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;boolean</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../../../../org/eclipse/wst/rdb/internal/models/dbdefinition/impl/ConstraintDefinitionImpl.html#eIsSet(org.eclipse.emf.ecore.EStructuralFeature)">eIsSet</A></B>(org.eclipse.emf.ecore.EStructuralFeature&nbsp;eFeature)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<!-- begin-user-doc -->
 <!-- end-user-doc --></TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;void</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../../../../org/eclipse/wst/rdb/internal/models/dbdefinition/impl/ConstraintDefinitionImpl.html#eSet(org.eclipse.emf.ecore.EStructuralFeature, java.lang.Object)">eSet</A></B>(org.eclipse.emf.ecore.EStructuralFeature&nbsp;eFeature,
     java.lang.Object&nbsp;newValue)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<!-- begin-user-doc -->
 <!-- end-user-doc --></TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;void</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../../../../org/eclipse/wst/rdb/internal/models/dbdefinition/impl/ConstraintDefinitionImpl.html#eUnset(org.eclipse.emf.ecore.EStructuralFeature)">eUnset</A></B>(org.eclipse.emf.ecore.EStructuralFeature&nbsp;eFeature)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<!-- begin-user-doc -->
 <!-- end-user-doc --></TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;org.eclipse.emf.common.util.EList</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../../../../org/eclipse/wst/rdb/internal/models/dbdefinition/impl/ConstraintDefinitionImpl.html#getCheckOption()">getCheckOption</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<!-- begin-user-doc -->
 <!-- end-user-doc --></TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;int</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../../../../org/eclipse/wst/rdb/internal/models/dbdefinition/impl/ConstraintDefinitionImpl.html#getMaximumCheckExpressionLength()">getMaximumCheckExpressionLength</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<!-- begin-user-doc -->
 <!-- end-user-doc --></TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;org.eclipse.emf.common.util.EList</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../../../../org/eclipse/wst/rdb/internal/models/dbdefinition/impl/ConstraintDefinitionImpl.html#getParentDeleteDRIRuleType()">getParentDeleteDRIRuleType</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<!-- begin-user-doc -->
 <!-- end-user-doc --></TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;org.eclipse.emf.common.util.EList</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../../../../org/eclipse/wst/rdb/internal/models/dbdefinition/impl/ConstraintDefinitionImpl.html#getParentUpdateDRIRuleType()">getParentUpdateDRIRuleType</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<!-- begin-user-doc -->
 <!-- end-user-doc --></TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;boolean</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../../../../org/eclipse/wst/rdb/internal/models/dbdefinition/impl/ConstraintDefinitionImpl.html#isClusteredPrimaryKeySupported()">isClusteredPrimaryKeySupported</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<!-- begin-user-doc -->
 <!-- end-user-doc --></TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;boolean</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../../../../org/eclipse/wst/rdb/internal/models/dbdefinition/impl/ConstraintDefinitionImpl.html#isClusteredUniqueConstraintSupported()">isClusteredUniqueConstraintSupported</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<!-- begin-user-doc -->
 <!-- end-user-doc --></TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;boolean</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../../../../org/eclipse/wst/rdb/internal/models/dbdefinition/impl/ConstraintDefinitionImpl.html#isDeferrableConstraintSupported()">isDeferrableConstraintSupported</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<!-- begin-user-doc -->
 <!-- end-user-doc --></TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;boolean</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../../../../org/eclipse/wst/rdb/internal/models/dbdefinition/impl/ConstraintDefinitionImpl.html#isInformationalConstraintSupported()">isInformationalConstraintSupported</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<!-- begin-user-doc -->
 <!-- end-user-doc --></TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;boolean</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../../../../org/eclipse/wst/rdb/internal/models/dbdefinition/impl/ConstraintDefinitionImpl.html#isPrimaryKeyNullable()">isPrimaryKeyNullable</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<!-- begin-user-doc -->
 <!-- end-user-doc --></TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;boolean</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../../../../org/eclipse/wst/rdb/internal/models/dbdefinition/impl/ConstraintDefinitionImpl.html#isUniqueKeyNullable()">isUniqueKeyNullable</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<!-- begin-user-doc -->
 <!-- end-user-doc --></TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;void</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../../../../org/eclipse/wst/rdb/internal/models/dbdefinition/impl/ConstraintDefinitionImpl.html#setClusteredPrimaryKeySupported(boolean)">setClusteredPrimaryKeySupported</A></B>(boolean&nbsp;newClusteredPrimaryKeySupported)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<!-- begin-user-doc -->
 <!-- end-user-doc --></TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;void</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../../../../org/eclipse/wst/rdb/internal/models/dbdefinition/impl/ConstraintDefinitionImpl.html#setClusteredUniqueConstraintSupported(boolean)">setClusteredUniqueConstraintSupported</A></B>(boolean&nbsp;newClusteredUniqueConstraintSupported)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<!-- begin-user-doc -->
 <!-- end-user-doc --></TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;void</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../../../../org/eclipse/wst/rdb/internal/models/dbdefinition/impl/ConstraintDefinitionImpl.html#setDeferrableConstraintSupported(boolean)">setDeferrableConstraintSupported</A></B>(boolean&nbsp;newDeferrableConstraintSupported)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<!-- begin-user-doc -->
 <!-- end-user-doc --></TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;void</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../../../../org/eclipse/wst/rdb/internal/models/dbdefinition/impl/ConstraintDefinitionImpl.html#setInformationalConstraintSupported(boolean)">setInformationalConstraintSupported</A></B>(boolean&nbsp;newInformationalConstraintSupported)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<!-- begin-user-doc -->
 <!-- end-user-doc --></TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;void</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../../../../org/eclipse/wst/rdb/internal/models/dbdefinition/impl/ConstraintDefinitionImpl.html#setMaximumCheckExpressionLength(int)">setMaximumCheckExpressionLength</A></B>(int&nbsp;newMaximumCheckExpressionLength)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<!-- begin-user-doc -->
 <!-- end-user-doc --></TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;void</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../../../../org/eclipse/wst/rdb/internal/models/dbdefinition/impl/ConstraintDefinitionImpl.html#setPrimaryKeyNullable(boolean)">setPrimaryKeyNullable</A></B>(boolean&nbsp;newPrimaryKeyNullable)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<!-- begin-user-doc -->
 <!-- end-user-doc --></TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;void</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../../../../org/eclipse/wst/rdb/internal/models/dbdefinition/impl/ConstraintDefinitionImpl.html#setUniqueKeyNullable(boolean)">setUniqueKeyNullable</A></B>(boolean&nbsp;newUniqueKeyNullable)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<!-- begin-user-doc -->
 <!-- end-user-doc --></TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;java.lang.String</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../../../../org/eclipse/wst/rdb/internal/models/dbdefinition/impl/ConstraintDefinitionImpl.html#toString()">toString</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<!-- begin-user-doc -->
 <!-- end-user-doc --></TD>
</TR>
</TABLE>
&nbsp;<A NAME="methods_inherited_from_class_org.eclipse.emf.ecore.impl.EObjectImpl"><!-- --></A>
<TABLE BORDER="1" CELLPADDING="3" CELLSPACING="0" WIDTH="100%">
<TR BGCOLOR="#EEEEFF" CLASS="TableSubHeadingColor">
<TD><B>Methods inherited from class org.eclipse.emf.ecore.impl.EObjectImpl</B></TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE>eAdapters, eClass, eContainerFeatureID, eDeliver, eIsProxy, eSetClass, eSetDeliver, eSetProxyURI</CODE></TD>
</TR>
</TABLE>
&nbsp;<A NAME="methods_inherited_from_class_org.eclipse.emf.ecore.impl.BasicEObjectImpl"><!-- --></A>
<TABLE BORDER="1" CELLPADDING="3" CELLSPACING="0" WIDTH="100%">
<TR BGCOLOR="#EEEEFF" CLASS="TableSubHeadingColor">
<TD><B>Methods inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl</B></TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE>eAllContents, eBaseStructuralFeatureID, eBasicRemoveFromContainer, eBasicSetContainer, eContainer, eContainingFeature, eContainmentFeature, eContains, eContents, eCrossReferences, eDerivedStructuralFeatureID, eDerivedStructuralFeatureID, eDynamicBasicRemoveFromContainer, eDynamicGet, eDynamicInverseAdd, eDynamicInverseRemove, eDynamicIsSet, eDynamicSet, eDynamicUnset, eGet, eInternalResource, eInverseAdd, eInverseRemove, eObjectForURIFragmentSegment, eOpenGet, eOpenIsSet, eOpenSet, eOpenUnset, eProxyURI, eResolveProxy, eResource, eSetResource, eSetStore, eSetting, eStore, eURIFragmentSegment</CODE></TD>
</TR>
</TABLE>
&nbsp;<A NAME="methods_inherited_from_class_org.eclipse.emf.common.notify.impl.BasicNotifierImpl"><!-- --></A>
<TABLE BORDER="1" CELLPADDING="3" CELLSPACING="0" WIDTH="100%">
<TR BGCOLOR="#EEEEFF" CLASS="TableSubHeadingColor">
<TD><B>Methods inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl</B></TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE>eNotificationRequired, eNotify</CODE></TD>
</TR>
</TABLE>
&nbsp;<A NAME="methods_inherited_from_class_java.lang.Object"><!-- --></A>
<TABLE BORDER="1" CELLPADDING="3" CELLSPACING="0" WIDTH="100%">
<TR BGCOLOR="#EEEEFF" CLASS="TableSubHeadingColor">
<TD><B>Methods inherited from class java.lang.Object</B></TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE>equals, getClass, hashCode, notify, notifyAll, wait, wait, wait</CODE></TD>
</TR>
</TABLE>
&nbsp;<A NAME="methods_inherited_from_class_org.eclipse.emf.ecore.EObject"><!-- --></A>
<TABLE BORDER="1" CELLPADDING="3" CELLSPACING="0" WIDTH="100%">
<TR BGCOLOR="#EEEEFF" CLASS="TableSubHeadingColor">
<TD><B>Methods inherited from interface org.eclipse.emf.ecore.EObject</B></TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE>eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eIsProxy, eResource</CODE></TD>
</TR>
</TABLE>
&nbsp;<A NAME="methods_inherited_from_class_org.eclipse.emf.common.notify.Notifier"><!-- --></A>
<TABLE BORDER="1" CELLPADDING="3" CELLSPACING="0" WIDTH="100%">
<TR BGCOLOR="#EEEEFF" CLASS="TableSubHeadingColor">
<TD><B>Methods inherited from interface org.eclipse.emf.common.notify.Notifier</B></TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE>eAdapters, eDeliver, eNotify, eSetDeliver</CODE></TD>
</TR>
</TABLE>
&nbsp;<A NAME="methods_inherited_from_class_org.eclipse.emf.ecore.InternalEObject"><!-- --></A>
<TABLE BORDER="1" CELLPADDING="3" CELLSPACING="0" WIDTH="100%">
<TR BGCOLOR="#EEEEFF" CLASS="TableSubHeadingColor">
<TD><B>Methods inherited from interface org.eclipse.emf.ecore.InternalEObject</B></TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE>eNotificationRequired</CODE></TD>
</TR>
</TABLE>
&nbsp;
<P>

<!-- ============ FIELD DETAIL =========== -->


<!-- ========= CONSTRUCTOR DETAIL ======== -->


<!-- ============ METHOD DETAIL ========== -->

<A NAME="method_detail"><!-- --></A>
<TABLE BORDER="1" CELLPADDING="3" CELLSPACING="0" WIDTH="100%">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TD COLSPAN=1><FONT SIZE="+2">
<B>Method Detail</B></FONT></TD>
</TR>
</TABLE>

<A NAME="isDeferrableConstraintSupported()"><!-- --></A><H3>
isDeferrableConstraintSupported</H3>
<PRE>
public boolean <B>isDeferrableConstraintSupported</B>()</PRE>
<DL>
<DD><!-- begin-user-doc -->
 <!-- end-user-doc --><DD><DL>
<DT><B>Specified by: </B><DD><CODE><A HREF="../../../../../../../../org/eclipse/wst/rdb/internal/models/dbdefinition/ConstraintDefinition.html#isDeferrableConstraintSupported()">isDeferrableConstraintSupported</A></CODE> in interface <CODE><A HREF="../../../../../../../../org/eclipse/wst/rdb/internal/models/dbdefinition/ConstraintDefinition.html">ConstraintDefinition</A></CODE></DL>
</DD>
<DD>Following copied from interface: <CODE>org.eclipse.wst.rdb.internal.models.dbdefinition.ConstraintDefinition</CODE></DD>
<DD><DL>
<DT><B>Returns:</B><DD>the value of the '<em>Deferrable Constraint Supported</em>' attribute.<DT><B>See Also: </B><DD><A HREF="../../../../../../../../org/eclipse/wst/rdb/internal/models/dbdefinition/ConstraintDefinition.html#setDeferrableConstraintSupported(boolean)"><CODE>ConstraintDefinition.setDeferrableConstraintSupported(boolean)</CODE></A>, 
<A HREF="../../../../../../../../org/eclipse/wst/rdb/internal/models/dbdefinition/DatabaseDefinitionPackage.html#getConstraintDefinition_DeferrableConstraintSupported()"><CODE>DatabaseDefinitionPackage.getConstraintDefinition_DeferrableConstraintSupported()</CODE></A></DL>
</DD>
</DL>
<HR>

<A NAME="setDeferrableConstraintSupported(boolean)"><!-- --></A><H3>
setDeferrableConstraintSupported</H3>
<PRE>
public void <B>setDeferrableConstraintSupported</B>(boolean&nbsp;newDeferrableConstraintSupported)</PRE>
<DL>
<DD><!-- begin-user-doc -->
 <!-- end-user-doc --><DD><DL>
<DT><B>Specified by: </B><DD><CODE><A HREF="../../../../../../../../org/eclipse/wst/rdb/internal/models/dbdefinition/ConstraintDefinition.html#setDeferrableConstraintSupported(boolean)">setDeferrableConstraintSupported</A></CODE> in interface <CODE><A HREF="../../../../../../../../org/eclipse/wst/rdb/internal/models/dbdefinition/ConstraintDefinition.html">ConstraintDefinition</A></CODE></DL>
</DD>
<DD>Following copied from interface: <CODE>org.eclipse.wst.rdb.internal.models.dbdefinition.ConstraintDefinition</CODE></DD>
<DD><DL>
<DT><B>Parameters:</B><DD><CODE>value</CODE> - the new value of the '<em>Deferrable Constraint Supported</em>' attribute.<DT><B>See Also: </B><DD><A HREF="../../../../../../../../org/eclipse/wst/rdb/internal/models/dbdefinition/ConstraintDefinition.html#isDeferrableConstraintSupported()"><CODE>ConstraintDefinition.isDeferrableConstraintSupported()</CODE></A></DL>
</DD>
</DL>
<HR>

<A NAME="isInformationalConstraintSupported()"><!-- --></A><H3>
isInformationalConstraintSupported</H3>
<PRE>
public boolean <B>isInformationalConstraintSupported</B>()</PRE>
<DL>
<DD><!-- begin-user-doc -->
 <!-- end-user-doc --><DD><DL>
<DT><B>Specified by: </B><DD><CODE><A HREF="../../../../../../../../org/eclipse/wst/rdb/internal/models/dbdefinition/ConstraintDefinition.html#isInformationalConstraintSupported()">isInformationalConstraintSupported</A></CODE> in interface <CODE><A HREF="../../../../../../../../org/eclipse/wst/rdb/internal/models/dbdefinition/ConstraintDefinition.html">ConstraintDefinition</A></CODE></DL>
</DD>
<DD>Following copied from interface: <CODE>org.eclipse.wst.rdb.internal.models.dbdefinition.ConstraintDefinition</CODE></DD>
<DD><DL>
<DT><B>Returns:</B><DD>the value of the '<em>Informational Constraint Supported</em>' attribute.<DT><B>See Also: </B><DD><A HREF="../../../../../../../../org/eclipse/wst/rdb/internal/models/dbdefinition/ConstraintDefinition.html#setInformationalConstraintSupported(boolean)"><CODE>ConstraintDefinition.setInformationalConstraintSupported(boolean)</CODE></A>, 
<A HREF="../../../../../../../../org/eclipse/wst/rdb/internal/models/dbdefinition/DatabaseDefinitionPackage.html#getConstraintDefinition_InformationalConstraintSupported()"><CODE>DatabaseDefinitionPackage.getConstraintDefinition_InformationalConstraintSupported()</CODE></A></DL>
</DD>
</DL>
<HR>

<A NAME="setInformationalConstraintSupported(boolean)"><!-- --></A><H3>
setInformationalConstraintSupported</H3>
<PRE>
public void <B>setInformationalConstraintSupported</B>(boolean&nbsp;newInformationalConstraintSupported)</PRE>
<DL>
<DD><!-- begin-user-doc -->
 <!-- end-user-doc --><DD><DL>
<DT><B>Specified by: </B><DD><CODE><A HREF="../../../../../../../../org/eclipse/wst/rdb/internal/models/dbdefinition/ConstraintDefinition.html#setInformationalConstraintSupported(boolean)">setInformationalConstraintSupported</A></CODE> in interface <CODE><A HREF="../../../../../../../../org/eclipse/wst/rdb/internal/models/dbdefinition/ConstraintDefinition.html">ConstraintDefinition</A></CODE></DL>
</DD>
<DD>Following copied from interface: <CODE>org.eclipse.wst.rdb.internal.models.dbdefinition.ConstraintDefinition</CODE></DD>
<DD><DL>
<DT><B>Parameters:</B><DD><CODE>value</CODE> - the new value of the '<em>Informational Constraint Supported</em>' attribute.<DT><B>See Also: </B><DD><A HREF="../../../../../../../../org/eclipse/wst/rdb/internal/models/dbdefinition/ConstraintDefinition.html#isInformationalConstraintSupported()"><CODE>ConstraintDefinition.isInformationalConstraintSupported()</CODE></A></DL>
</DD>
</DL>
<HR>

<A NAME="isClusteredPrimaryKeySupported()"><!-- --></A><H3>
isClusteredPrimaryKeySupported</H3>
<PRE>
public boolean <B>isClusteredPrimaryKeySupported</B>()</PRE>
<DL>
<DD><!-- begin-user-doc -->
 <!-- end-user-doc --><DD><DL>
<DT><B>Specified by: </B><DD><CODE><A HREF="../../../../../../../../org/eclipse/wst/rdb/internal/models/dbdefinition/ConstraintDefinition.html#isClusteredPrimaryKeySupported()">isClusteredPrimaryKeySupported</A></CODE> in interface <CODE><A HREF="../../../../../../../../org/eclipse/wst/rdb/internal/models/dbdefinition/ConstraintDefinition.html">ConstraintDefinition</A></CODE></DL>
</DD>
<DD>Following copied from interface: <CODE>org.eclipse.wst.rdb.internal.models.dbdefinition.ConstraintDefinition</CODE></DD>
<DD><DL>
<DT><B>Returns:</B><DD>the value of the '<em>Clustered Primary Key Supported</em>' attribute.<DT><B>See Also: </B><DD><A HREF="../../../../../../../../org/eclipse/wst/rdb/internal/models/dbdefinition/ConstraintDefinition.html#setClusteredPrimaryKeySupported(boolean)"><CODE>ConstraintDefinition.setClusteredPrimaryKeySupported(boolean)</CODE></A>, 
<A HREF="../../../../../../../../org/eclipse/wst/rdb/internal/models/dbdefinition/DatabaseDefinitionPackage.html#getConstraintDefinition_ClusteredPrimaryKeySupported()"><CODE>DatabaseDefinitionPackage.getConstraintDefinition_ClusteredPrimaryKeySupported()</CODE></A></DL>
</DD>
</DL>
<HR>

<A NAME="setClusteredPrimaryKeySupported(boolean)"><!-- --></A><H3>
setClusteredPrimaryKeySupported</H3>
<PRE>
public void <B>setClusteredPrimaryKeySupported</B>(boolean&nbsp;newClusteredPrimaryKeySupported)</PRE>
<DL>
<DD><!-- begin-user-doc -->
 <!-- end-user-doc --><DD><DL>
<DT><B>Specified by: </B><DD><CODE><A HREF="../../../../../../../../org/eclipse/wst/rdb/internal/models/dbdefinition/ConstraintDefinition.html#setClusteredPrimaryKeySupported(boolean)">setClusteredPrimaryKeySupported</A></CODE> in interface <CODE><A HREF="../../../../../../../../org/eclipse/wst/rdb/internal/models/dbdefinition/ConstraintDefinition.html">ConstraintDefinition</A></CODE></DL>
</DD>
<DD>Following copied from interface: <CODE>org.eclipse.wst.rdb.internal.models.dbdefinition.ConstraintDefinition</CODE></DD>
<DD><DL>
<DT><B>Parameters:</B><DD><CODE>value</CODE> - the new value of the '<em>Clustered Primary Key Supported</em>' attribute.<DT><B>See Also: </B><DD><A HREF="../../../../../../../../org/eclipse/wst/rdb/internal/models/dbdefinition/ConstraintDefinition.html#isClusteredPrimaryKeySupported()"><CODE>ConstraintDefinition.isClusteredPrimaryKeySupported()</CODE></A></DL>
</DD>
</DL>
<HR>

<A NAME="isClusteredUniqueConstraintSupported()"><!-- --></A><H3>
isClusteredUniqueConstraintSupported</H3>
<PRE>
public boolean <B>isClusteredUniqueConstraintSupported</B>()</PRE>
<DL>
<DD><!-- begin-user-doc -->
 <!-- end-user-doc --><DD><DL>
<DT><B>Specified by: </B><DD><CODE><A HREF="../../../../../../../../org/eclipse/wst/rdb/internal/models/dbdefinition/ConstraintDefinition.html#isClusteredUniqueConstraintSupported()">isClusteredUniqueConstraintSupported</A></CODE> in interface <CODE><A HREF="../../../../../../../../org/eclipse/wst/rdb/internal/models/dbdefinition/ConstraintDefinition.html">ConstraintDefinition</A></CODE></DL>
</DD>
<DD>Following copied from interface: <CODE>org.eclipse.wst.rdb.internal.models.dbdefinition.ConstraintDefinition</CODE></DD>
<DD><DL>
<DT><B>Returns:</B><DD>the value of the '<em>Clustered Unique Constraint Supported</em>' attribute.<DT><B>See Also: </B><DD><A HREF="../../../../../../../../org/eclipse/wst/rdb/internal/models/dbdefinition/ConstraintDefinition.html#setClusteredUniqueConstraintSupported(boolean)"><CODE>ConstraintDefinition.setClusteredUniqueConstraintSupported(boolean)</CODE></A>, 
<A HREF="../../../../../../../../org/eclipse/wst/rdb/internal/models/dbdefinition/DatabaseDefinitionPackage.html#getConstraintDefinition_ClusteredUniqueConstraintSupported()"><CODE>DatabaseDefinitionPackage.getConstraintDefinition_ClusteredUniqueConstraintSupported()</CODE></A></DL>
</DD>
</DL>
<HR>

<A NAME="setClusteredUniqueConstraintSupported(boolean)"><!-- --></A><H3>
setClusteredUniqueConstraintSupported</H3>
<PRE>
public void <B>setClusteredUniqueConstraintSupported</B>(boolean&nbsp;newClusteredUniqueConstraintSupported)</PRE>
<DL>
<DD><!-- begin-user-doc -->
 <!-- end-user-doc --><DD><DL>
<DT><B>Specified by: </B><DD><CODE><A HREF="../../../../../../../../org/eclipse/wst/rdb/internal/models/dbdefinition/ConstraintDefinition.html#setClusteredUniqueConstraintSupported(boolean)">setClusteredUniqueConstraintSupported</A></CODE> in interface <CODE><A HREF="../../../../../../../../org/eclipse/wst/rdb/internal/models/dbdefinition/ConstraintDefinition.html">ConstraintDefinition</A></CODE></DL>
</DD>
<DD>Following copied from interface: <CODE>org.eclipse.wst.rdb.internal.models.dbdefinition.ConstraintDefinition</CODE></DD>
<DD><DL>
<DT><B>Parameters:</B><DD><CODE>value</CODE> - the new value of the '<em>Clustered Unique Constraint Supported</em>' attribute.<DT><B>See Also: </B><DD><A HREF="../../../../../../../../org/eclipse/wst/rdb/internal/models/dbdefinition/ConstraintDefinition.html#isClusteredUniqueConstraintSupported()"><CODE>ConstraintDefinition.isClusteredUniqueConstraintSupported()</CODE></A></DL>
</DD>
</DL>
<HR>

<A NAME="isPrimaryKeyNullable()"><!-- --></A><H3>
isPrimaryKeyNullable</H3>
<PRE>
public boolean <B>isPrimaryKeyNullable</B>()</PRE>
<DL>
<DD><!-- begin-user-doc -->
 <!-- end-user-doc --><DD><DL>
<DT><B>Specified by: </B><DD><CODE><A HREF="../../../../../../../../org/eclipse/wst/rdb/internal/models/dbdefinition/ConstraintDefinition.html#isPrimaryKeyNullable()">isPrimaryKeyNullable</A></CODE> in interface <CODE><A HREF="../../../../../../../../org/eclipse/wst/rdb/internal/models/dbdefinition/ConstraintDefinition.html">ConstraintDefinition</A></CODE></DL>
</DD>
<DD>Following copied from interface: <CODE>org.eclipse.wst.rdb.internal.models.dbdefinition.ConstraintDefinition</CODE></DD>
<DD><DL>
<DT><B>Returns:</B><DD>the value of the '<em>Primary Key Nullable</em>' attribute.<DT><B>See Also: </B><DD><A HREF="../../../../../../../../org/eclipse/wst/rdb/internal/models/dbdefinition/ConstraintDefinition.html#setPrimaryKeyNullable(boolean)"><CODE>ConstraintDefinition.setPrimaryKeyNullable(boolean)</CODE></A>, 
<A HREF="../../../../../../../../org/eclipse/wst/rdb/internal/models/dbdefinition/DatabaseDefinitionPackage.html#getConstraintDefinition_PrimaryKeyNullable()"><CODE>DatabaseDefinitionPackage.getConstraintDefinition_PrimaryKeyNullable()</CODE></A></DL>
</DD>
</DL>
<HR>

<A NAME="setPrimaryKeyNullable(boolean)"><!-- --></A><H3>
setPrimaryKeyNullable</H3>
<PRE>
public void <B>setPrimaryKeyNullable</B>(boolean&nbsp;newPrimaryKeyNullable)</PRE>
<DL>
<DD><!-- begin-user-doc -->
 <!-- end-user-doc --><DD><DL>
<DT><B>Specified by: </B><DD><CODE><A HREF="../../../../../../../../org/eclipse/wst/rdb/internal/models/dbdefinition/ConstraintDefinition.html#setPrimaryKeyNullable(boolean)">setPrimaryKeyNullable</A></CODE> in interface <CODE><A HREF="../../../../../../../../org/eclipse/wst/rdb/internal/models/dbdefinition/ConstraintDefinition.html">ConstraintDefinition</A></CODE></DL>
</DD>
<DD>Following copied from interface: <CODE>org.eclipse.wst.rdb.internal.models.dbdefinition.ConstraintDefinition</CODE></DD>
<DD><DL>
<DT><B>Parameters:</B><DD><CODE>value</CODE> - the new value of the '<em>Primary Key Nullable</em>' attribute.<DT><B>See Also: </B><DD><A HREF="../../../../../../../../org/eclipse/wst/rdb/internal/models/dbdefinition/ConstraintDefinition.html#isPrimaryKeyNullable()"><CODE>ConstraintDefinition.isPrimaryKeyNullable()</CODE></A></DL>
</DD>
</DL>
<HR>

<A NAME="isUniqueKeyNullable()"><!-- --></A><H3>
isUniqueKeyNullable</H3>
<PRE>
public boolean <B>isUniqueKeyNullable</B>()</PRE>
<DL>
<DD><!-- begin-user-doc -->
 <!-- end-user-doc --><DD><DL>
<DT><B>Specified by: </B><DD><CODE><A HREF="../../../../../../../../org/eclipse/wst/rdb/internal/models/dbdefinition/ConstraintDefinition.html#isUniqueKeyNullable()">isUniqueKeyNullable</A></CODE> in interface <CODE><A HREF="../../../../../../../../org/eclipse/wst/rdb/internal/models/dbdefinition/ConstraintDefinition.html">ConstraintDefinition</A></CODE></DL>
</DD>
<DD>Following copied from interface: <CODE>org.eclipse.wst.rdb.internal.models.dbdefinition.ConstraintDefinition</CODE></DD>
<DD><DL>
<DT><B>Returns:</B><DD>the value of the '<em>Unique Key Nullable</em>' attribute.<DT><B>See Also: </B><DD><A HREF="../../../../../../../../org/eclipse/wst/rdb/internal/models/dbdefinition/ConstraintDefinition.html#setUniqueKeyNullable(boolean)"><CODE>ConstraintDefinition.setUniqueKeyNullable(boolean)</CODE></A>, 
<A HREF="../../../../../../../../org/eclipse/wst/rdb/internal/models/dbdefinition/DatabaseDefinitionPackage.html#getConstraintDefinition_UniqueKeyNullable()"><CODE>DatabaseDefinitionPackage.getConstraintDefinition_UniqueKeyNullable()</CODE></A></DL>
</DD>
</DL>
<HR>

<A NAME="setUniqueKeyNullable(boolean)"><!-- --></A><H3>
setUniqueKeyNullable</H3>
<PRE>
public void <B>setUniqueKeyNullable</B>(boolean&nbsp;newUniqueKeyNullable)</PRE>
<DL>
<DD><!-- begin-user-doc -->
 <!-- end-user-doc --><DD><DL>
<DT><B>Specified by: </B><DD><CODE><A HREF="../../../../../../../../org/eclipse/wst/rdb/internal/models/dbdefinition/ConstraintDefinition.html#setUniqueKeyNullable(boolean)">setUniqueKeyNullable</A></CODE> in interface <CODE><A HREF="../../../../../../../../org/eclipse/wst/rdb/internal/models/dbdefinition/ConstraintDefinition.html">ConstraintDefinition</A></CODE></DL>
</DD>
<DD>Following copied from interface: <CODE>org.eclipse.wst.rdb.internal.models.dbdefinition.ConstraintDefinition</CODE></DD>
<DD><DL>
<DT><B>Parameters:</B><DD><CODE>value</CODE> - the new value of the '<em>Unique Key Nullable</em>' attribute.<DT><B>See Also: </B><DD><A HREF="../../../../../../../../org/eclipse/wst/rdb/internal/models/dbdefinition/ConstraintDefinition.html#isUniqueKeyNullable()"><CODE>ConstraintDefinition.isUniqueKeyNullable()</CODE></A></DL>
</DD>
</DL>
<HR>

<A NAME="getMaximumCheckExpressionLength()"><!-- --></A><H3>
getMaximumCheckExpressionLength</H3>
<PRE>
public int <B>getMaximumCheckExpressionLength</B>()</PRE>
<DL>
<DD><!-- begin-user-doc -->
 <!-- end-user-doc --><DD><DL>
<DT><B>Specified by: </B><DD><CODE><A HREF="../../../../../../../../org/eclipse/wst/rdb/internal/models/dbdefinition/ConstraintDefinition.html#getMaximumCheckExpressionLength()">getMaximumCheckExpressionLength</A></CODE> in interface <CODE><A HREF="../../../../../../../../org/eclipse/wst/rdb/internal/models/dbdefinition/ConstraintDefinition.html">ConstraintDefinition</A></CODE></DL>
</DD>
<DD>Following copied from interface: <CODE>org.eclipse.wst.rdb.internal.models.dbdefinition.ConstraintDefinition</CODE></DD>
<DD><DL>
<DT><B>Returns:</B><DD>the value of the '<em>Maximum Check Expression Length</em>' attribute.<DT><B>See Also: </B><DD><A HREF="../../../../../../../../org/eclipse/wst/rdb/internal/models/dbdefinition/ConstraintDefinition.html#setMaximumCheckExpressionLength(int)"><CODE>ConstraintDefinition.setMaximumCheckExpressionLength(int)</CODE></A>, 
<A HREF="../../../../../../../../org/eclipse/wst/rdb/internal/models/dbdefinition/DatabaseDefinitionPackage.html#getConstraintDefinition_MaximumCheckExpressionLength()"><CODE>DatabaseDefinitionPackage.getConstraintDefinition_MaximumCheckExpressionLength()</CODE></A></DL>
</DD>
</DL>
<HR>

<A NAME="setMaximumCheckExpressionLength(int)"><!-- --></A><H3>
setMaximumCheckExpressionLength</H3>
<PRE>
public void <B>setMaximumCheckExpressionLength</B>(int&nbsp;newMaximumCheckExpressionLength)</PRE>
<DL>
<DD><!-- begin-user-doc -->
 <!-- end-user-doc --><DD><DL>
<DT><B>Specified by: </B><DD><CODE><A HREF="../../../../../../../../org/eclipse/wst/rdb/internal/models/dbdefinition/ConstraintDefinition.html#setMaximumCheckExpressionLength(int)">setMaximumCheckExpressionLength</A></CODE> in interface <CODE><A HREF="../../../../../../../../org/eclipse/wst/rdb/internal/models/dbdefinition/ConstraintDefinition.html">ConstraintDefinition</A></CODE></DL>
</DD>
<DD>Following copied from interface: <CODE>org.eclipse.wst.rdb.internal.models.dbdefinition.ConstraintDefinition</CODE></DD>
<DD><DL>
<DT><B>Parameters:</B><DD><CODE>value</CODE> - the new value of the '<em>Maximum Check Expression Length</em>' attribute.<DT><B>See Also: </B><DD><A HREF="../../../../../../../../org/eclipse/wst/rdb/internal/models/dbdefinition/ConstraintDefinition.html#getMaximumCheckExpressionLength()"><CODE>ConstraintDefinition.getMaximumCheckExpressionLength()</CODE></A></DL>
</DD>
</DL>
<HR>

<A NAME="getParentUpdateDRIRuleType()"><!-- --></A><H3>
getParentUpdateDRIRuleType</H3>
<PRE>
public org.eclipse.emf.common.util.EList <B>getParentUpdateDRIRuleType</B>()</PRE>
<DL>
<DD><!-- begin-user-doc -->
 <!-- end-user-doc --><DD><DL>
<DT><B>Specified by: </B><DD><CODE><A HREF="../../../../../../../../org/eclipse/wst/rdb/internal/models/dbdefinition/ConstraintDefinition.html#getParentUpdateDRIRuleType()">getParentUpdateDRIRuleType</A></CODE> in interface <CODE><A HREF="../../../../../../../../org/eclipse/wst/rdb/internal/models/dbdefinition/ConstraintDefinition.html">ConstraintDefinition</A></CODE></DL>
</DD>
<DD>Following copied from interface: <CODE>org.eclipse.wst.rdb.internal.models.dbdefinition.ConstraintDefinition</CODE></DD>
<DD><DL>
<DT><B>Returns:</B><DD>the value of the '<em>Parent Update DRI Rule Type</em>' attribute list.<DT><B>See Also: </B><DD><A HREF="../../../../../../../../org/eclipse/wst/rdb/internal/models/dbdefinition/ParentUpdateDRIRuleType.html"><CODE>ParentUpdateDRIRuleType</CODE></A>, 
<A HREF="../../../../../../../../org/eclipse/wst/rdb/internal/models/dbdefinition/DatabaseDefinitionPackage.html#getConstraintDefinition_ParentUpdateDRIRuleType()"><CODE>DatabaseDefinitionPackage.getConstraintDefinition_ParentUpdateDRIRuleType()</CODE></A></DL>
</DD>
</DL>
<HR>

<A NAME="getParentDeleteDRIRuleType()"><!-- --></A><H3>
getParentDeleteDRIRuleType</H3>
<PRE>
public org.eclipse.emf.common.util.EList <B>getParentDeleteDRIRuleType</B>()</PRE>
<DL>
<DD><!-- begin-user-doc -->
 <!-- end-user-doc --><DD><DL>
<DT><B>Specified by: </B><DD><CODE><A HREF="../../../../../../../../org/eclipse/wst/rdb/internal/models/dbdefinition/ConstraintDefinition.html#getParentDeleteDRIRuleType()">getParentDeleteDRIRuleType</A></CODE> in interface <CODE><A HREF="../../../../../../../../org/eclipse/wst/rdb/internal/models/dbdefinition/ConstraintDefinition.html">ConstraintDefinition</A></CODE></DL>
</DD>
<DD>Following copied from interface: <CODE>org.eclipse.wst.rdb.internal.models.dbdefinition.ConstraintDefinition</CODE></DD>
<DD><DL>
<DT><B>Returns:</B><DD>the value of the '<em>Parent Delete DRI Rule Type</em>' attribute list.<DT><B>See Also: </B><DD><A HREF="../../../../../../../../org/eclipse/wst/rdb/internal/models/dbdefinition/ParentDeleteDRIRuleType.html"><CODE>ParentDeleteDRIRuleType</CODE></A>, 
<A HREF="../../../../../../../../org/eclipse/wst/rdb/internal/models/dbdefinition/DatabaseDefinitionPackage.html#getConstraintDefinition_ParentDeleteDRIRuleType()"><CODE>DatabaseDefinitionPackage.getConstraintDefinition_ParentDeleteDRIRuleType()</CODE></A></DL>
</DD>
</DL>
<HR>

<A NAME="getCheckOption()"><!-- --></A><H3>
getCheckOption</H3>
<PRE>
public org.eclipse.emf.common.util.EList <B>getCheckOption</B>()</PRE>
<DL>
<DD><!-- begin-user-doc -->
 <!-- end-user-doc --><DD><DL>
<DT><B>Specified by: </B><DD><CODE><A HREF="../../../../../../../../org/eclipse/wst/rdb/internal/models/dbdefinition/ConstraintDefinition.html#getCheckOption()">getCheckOption</A></CODE> in interface <CODE><A HREF="../../../../../../../../org/eclipse/wst/rdb/internal/models/dbdefinition/ConstraintDefinition.html">ConstraintDefinition</A></CODE></DL>
</DD>
<DD>Following copied from interface: <CODE>org.eclipse.wst.rdb.internal.models.dbdefinition.ConstraintDefinition</CODE></DD>
<DD><DL>
<DT><B>Returns:</B><DD>the value of the '<em>Check Option</em>' attribute list.<DT><B>See Also: </B><DD><A HREF="../../../../../../../../org/eclipse/wst/rdb/internal/models/dbdefinition/CheckOption.html"><CODE>CheckOption</CODE></A>, 
<A HREF="../../../../../../../../org/eclipse/wst/rdb/internal/models/dbdefinition/DatabaseDefinitionPackage.html#getConstraintDefinition_CheckOption()"><CODE>DatabaseDefinitionPackage.getConstraintDefinition_CheckOption()</CODE></A></DL>
</DD>
</DL>
<HR>

<A NAME="eGet(org.eclipse.emf.ecore.EStructuralFeature, boolean)"><!-- --></A><H3>
eGet</H3>
<PRE>
public java.lang.Object <B>eGet</B>(org.eclipse.emf.ecore.EStructuralFeature&nbsp;eFeature,
                             boolean&nbsp;resolve)</PRE>
<DL>
<DD><!-- begin-user-doc -->
 <!-- end-user-doc --><DD><DL>
<DT><B>Specified by: </B><DD><CODE>eGet</CODE> in interface <CODE>org.eclipse.emf.ecore.EObject</CODE><DT><B>Overrides:</B><DD><CODE>eGet</CODE> in class <CODE>org.eclipse.emf.ecore.impl.BasicEObjectImpl</CODE></DL>
</DD>
</DL>
<HR>

<A NAME="eSet(org.eclipse.emf.ecore.EStructuralFeature, java.lang.Object)"><!-- --></A><H3>
eSet</H3>
<PRE>
public void <B>eSet</B>(org.eclipse.emf.ecore.EStructuralFeature&nbsp;eFeature,
                 java.lang.Object&nbsp;newValue)</PRE>
<DL>
<DD><!-- begin-user-doc -->
 <!-- end-user-doc --><DD><DL>
<DT><B>Specified by: </B><DD><CODE>eSet</CODE> in interface <CODE>org.eclipse.emf.ecore.EObject</CODE><DT><B>Overrides:</B><DD><CODE>eSet</CODE> in class <CODE>org.eclipse.emf.ecore.impl.BasicEObjectImpl</CODE></DL>
</DD>
</DL>
<HR>

<A NAME="eUnset(org.eclipse.emf.ecore.EStructuralFeature)"><!-- --></A><H3>
eUnset</H3>
<PRE>
public void <B>eUnset</B>(org.eclipse.emf.ecore.EStructuralFeature&nbsp;eFeature)</PRE>
<DL>
<DD><!-- begin-user-doc -->
 <!-- end-user-doc --><DD><DL>
<DT><B>Specified by: </B><DD><CODE>eUnset</CODE> in interface <CODE>org.eclipse.emf.ecore.EObject</CODE><DT><B>Overrides:</B><DD><CODE>eUnset</CODE> in class <CODE>org.eclipse.emf.ecore.impl.BasicEObjectImpl</CODE></DL>
</DD>
</DL>
<HR>

<A NAME="eIsSet(org.eclipse.emf.ecore.EStructuralFeature)"><!-- --></A><H3>
eIsSet</H3>
<PRE>
public boolean <B>eIsSet</B>(org.eclipse.emf.ecore.EStructuralFeature&nbsp;eFeature)</PRE>
<DL>
<DD><!-- begin-user-doc -->
 <!-- end-user-doc --><DD><DL>
<DT><B>Specified by: </B><DD><CODE>eIsSet</CODE> in interface <CODE>org.eclipse.emf.ecore.EObject</CODE><DT><B>Overrides:</B><DD><CODE>eIsSet</CODE> in class <CODE>org.eclipse.emf.ecore.impl.BasicEObjectImpl</CODE></DL>
</DD>
</DL>
<HR>

<A NAME="toString()"><!-- --></A><H3>
toString</H3>
<PRE>
public java.lang.String <B>toString</B>()</PRE>
<DL>
<DD><!-- begin-user-doc -->
 <!-- end-user-doc --><DD><DL>
<DT><B>Overrides:</B><DD><CODE>toString</CODE> in class <CODE>org.eclipse.emf.ecore.impl.BasicEObjectImpl</CODE></DL>
</DD>
</DL>
<!-- ========= END OF CLASS DATA ========= -->
<HR>

<!-- ========== START OF NAVBAR ========== -->
<A NAME="navbar_bottom"><!-- --></A>
<TABLE BORDER="0" WIDTH="100%" CELLPADDING="1" CELLSPACING="0">
<TR>
<TD COLSPAN=2 BGCOLOR="#EEEEFF" CLASS="NavBarCell1">
<A NAME="navbar_bottom_firstrow"><!-- --></A>
<TABLE BORDER="0" CELLPADDING="0" CELLSPACING="3">
  <TR ALIGN="center" VALIGN="top">
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../../../../overview-summary.html"><FONT CLASS="NavBarFont1"><B>Overview</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="package-summary.html"><FONT CLASS="NavBarFont1"><B>Package</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#FFFFFF" CLASS="NavBarCell1Rev"> &nbsp;<FONT CLASS="NavBarFont1Rev"><B>Class</B></FONT>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="class-use/ConstraintDefinitionImpl.html"><FONT CLASS="NavBarFont1"><B>Use</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="package-tree.html"><FONT CLASS="NavBarFont1"><B>Tree</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../../../../deprecated-list.html"><FONT CLASS="NavBarFont1"><B>Deprecated</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../../../../index-files/index-1.html"><FONT CLASS="NavBarFont1"><B>Index</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../../../../help-doc.html"><FONT CLASS="NavBarFont1"><B>Help</B></FONT></A>&nbsp;</TD>
  </TR>
</TABLE>
</TD>
<TD ALIGN="right" VALIGN="top" ROWSPAN=3><EM>
</EM>
</TD>
</TR>

<TR>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
&nbsp;<A HREF="../../../../../../../../org/eclipse/wst/rdb/internal/models/dbdefinition/impl/ColumnDefinitionImpl.html"><B>PREV CLASS</B></A>&nbsp;
&nbsp;<A HREF="../../../../../../../../org/eclipse/wst/rdb/internal/models/dbdefinition/impl/DatabaseDefinitionFactoryImpl.html"><B>NEXT CLASS</B></A></FONT></TD>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
  <A HREF="../../../../../../../../index.html" TARGET="_top"><B>FRAMES</B></A>  &nbsp;
&nbsp;<A HREF="ConstraintDefinitionImpl.html" TARGET="_top"><B>NO FRAMES</B></A></FONT></TD>
</TR>
<TR>
<TD VALIGN="top" CLASS="NavBarCell3"><FONT SIZE="-2">
  SUMMARY: &nbsp;<A HREF="#inner_classes_inherited_from_class_org.eclipse.emf.common.notify.impl.BasicNotifierImpl">INNER</A>&nbsp;|&nbsp;<A HREF="#fields_inherited_from_class_org.eclipse.emf.ecore.impl.EObjectImpl">FIELD</A>&nbsp;|&nbsp;CONSTR&nbsp;|&nbsp;<A HREF="#method_summary">METHOD</A></FONT></TD>
<TD VALIGN="top" CLASS="NavBarCell3"><FONT SIZE="-2">
DETAIL: &nbsp;FIELD&nbsp;|&nbsp;CONSTR&nbsp;|&nbsp;<A HREF="#method_detail">METHOD</A></FONT></TD>
</TR>
</TABLE>
<!-- =========== END OF NAVBAR =========== -->

<HR>

</BODY>
</HTML>
